application/json

Body

  • first_name string Required

    The first name of the user.

    Maximum length is 255.

  • last_name string Required

    The last name of the user.

    Maximum length is 255.

  • email string(email) Required

    The email address of the user.

    Maximum length is 255.

  • password string Required

    The password for the user.

    Minimum length is 8, maximum length is 255.

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • first_name string

      First name of the user

    • last_name string

      Last name of the user

    • email string

      Email address of the user

POST /api/v1/enterprise/users
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/enterprise/users' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"first_name":"John","last_name":"Doe","email":"john@example.com","password":"secret123"}'
Request examples
{
  "first_name": "John",
  "last_name": "Doe",
  "email": "john@example.com",
  "password": "secret123"
}
Response examples (201)
{
  "uuid": "257e954d-1353-4c04-a635-2b38c0c6e6da",
  "email": "john@example.com",
  "last_name": "Doe",
  "created_at": "2026-03-16T13:04:47+00:00",
  "first_name": "John",
  "updated_at": "2026-03-16T13:04:47+00:00"
}